| Home | Libraries | People | FAQ | More

## Function equals

boost::algorithm::equals — 'Equals' predicate

## Synopsis

    // In header: <boost/algorithm/string/predicate.hpp>

    template<typename Range1T, typename Range2T, typename PredicateT>
      bool equals(const Range1T & Input, const Range2T & Test, PredicateT Comp);
    template<typename Range1T, typename Range2T>
      bool equals(const Range1T & Input, const Range2T & Test);

## Description

This predicate holds when the test container is equal to the input container i.e. all elements in both containers are same. When the optional predicate is specified, it is used for character-wise comparison.

| Note
This is a two-way version of `std::equal` algorithm This function provides the strong exception-safety guarantee

Parameters:

`Comp` | An element comparison predicate
`Input` | An input sequence
`Test` | A test sequence

Returns: | The result of the test